package com.rf.psychological.wxpay.service;

import com.rf.psychological.wxpay.model.PromotionInfo;

import java.util.List;

/**
 * @Description:量表价格接口
 * @Author: zsf
 * @Date: 2022/6/29
 */
public interface PromotionInfoService {

    /**
     * 获取到量表收费信息
     * @param id 量表id
     * @return
     */
    public PromotionInfo findInfoBySubjectId(String id);

    /**
     * 根据flag查询收费信息
     * @param flag
     * @return
     */
    public PromotionInfo findInfoByFlag(String flag);

    /**
     * 新增或保存收费信息
     * @param info 收费表单
     */
    public void saveOrUpdateInfo(PromotionInfo info);

    List<PromotionInfo> findAll();
}
